/*
 *   casmi
 *   http://casmi.github.com/
 *   Copyright (C) 2011, Xcoo, Inc.
 *
 *  casmi is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package casmi.graphics.element;

/**
 * ArrowAlign Class. Sets the location from which Arrow draw.
 *
 * @author Y. Ban
 */
public enum ArrowAlign {

    /** Drawing from the bottom of Arrow constant. */
    BOTTOM,

    /** Drawing from the center of Arrow constant. */
    CENTER,

    /** Drawing from the top of Arrow constant. */
    TOP,

    /** Drawing using top and bottom corners of Arrow constant. */
    CORNER
}
