/*
 *   casmi
 *   http://casmi.github.com/
 *   Copyright (C) 2011, Xcoo, Inc.
 *
 *  casmi is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package casmi.graphics.element;

/**
 * Enum class for gradation modes. Sets the trends for the gradation.
 *
 * @author Y. Ban
 */
public enum GradationMode2D {

    /** The horizontal direction constant. */
    HORIZONTAL,

    /** The vertical direction constant. */
    VERTICAL,

    /** The left sideways direction constant. */
    LEFT_SIDEWAYS,

    /** The right sideways direction constant. */
    RIGHT_SIDEWAYS
}
